<div class="modal-header">
  <h4 class="modal-title">Création d'une famille de composant</h4>
  <button (click)="modal.dismiss()" class="close" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form #componentForm="ngForm" (ngSubmit)="submit(componentForm)">
    <div class="row">
      <div class="col-md-12">
        <div class="form-group">
          <div class="row mb-3">
            <div class="col-12">
              <label for="name">Nom</label>
              <input id="name" class="form-control" name="name" type="text" ngModel>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="white-space-20"></div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Annuler</button>
      <button class="btn btn-info pull-right" type="submit" [disabled]="!componentForm.form.valid">Ajouter</button>
    </div>
  </form>
</div>
